package com.coding.util;

import java.math.BigInteger;

public class CodingTest {
	
	public static void main(String[] args) throws Exception {
		String data = "简单加密2";
		System.out.println(new BigInteger(Coding.encryptBASE64(data.getBytes())).toString(16));
		System.out.println(new BigInteger(Coding.encryptBASE64(data.getBytes())).toString(32));
		System.out.println(new String(Coding.decryptBASE64(Coding.encryptBASE64(data.getBytes()))));

		System.out.println(new BigInteger(Coding.encryptMD5(data.getBytes())).toString());
		System.out.println(new BigInteger(Coding.encryptSHA(data.getBytes())).toString());
		System.out.println(new BigInteger(Coding.encryptHMAC(data.getBytes(), Coding.initMacKey())).toString());
	}

}